<ch-message-alert *ngIf="currentItem._id === item._id"
                  [message]="message"></ch-message-alert>
<div class="reply"
    *ngIf="currentItem._id === item._id">
  <form [formGroup]="commentForm"
        (ngSubmit)="onSubmit()" novalidate>
    <span>{{titleForm | translate}}</span>
    <button class="btn btn-link reply-link"
            *ngIf="!ifMain"
            (click)="onCancel()">
      <i class="fa fa-times" aria-hidden="true"></i>
      {{'COMMENT.CANCEL' | translate}}
    </button>
    <div class="form-group"
        [ngClass]="{
          'has-danger': text.invalid && (text.dirty || text.touched),
          'has-success': text.valid && (text.dirty || text.touched)
        }"
    >
      <label for="comment-text"></label>
      <textarea class="form-control"
                id="comment-text"
                [ngClass]="{
                  'form-control-danger': text.invalid,
                  'form-control-success': text.valid
                }"
                ch-autosize
                placeholder="{{'COMMENT.MESSAGE_PLACEHOLDER' | translate}}"
                formControlName="text"></textarea>
      <small class="form-control-feedback"
            *ngIf="(!text.pristine || text.touched) && text.errors">
        <div *ngIf="text.errors.required">{{'COMMENT.MESSAGE_REQUIRED' | translate}}</div>
        <div *ngIf="text.errors.minlength">{{'COMMENT.MESSAGE_MIN_LENGTH' | translate}}</div>
      </small>
    </div>
    <button class="btn btn-outline-success btn-sm"
            [disabled]="commentForm.invalid"
            type="submit">{{'COMMENT.SAVE' | translate}}</button>
  </form>
</div>
